MessagingConsumerContext (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer

## Class MessagingConsumerContext

- java.lang.Object
- - org.gcube.common.core.contexts.GCUBEContext
  - - org.gcube.common.core.contexts.GCUBEPortTypeContext
    - - org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext
      - - org.gcube.messaging.common.consumer.MessagingConsumerContext

-     public class MessagingConsumerContext
      extends org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext

  The consumer Context
  Author:
    Andrea Manzi(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext

      `org.gcube.common.core.contexts.GCUBEPortTypeContext.PTConsumer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static MessagingConsumerContext` | `singleton` Singleton object

    - ### Fields inherited from class org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext

      `LIFETIME_JNDI_NAME, profile, PUBLICATION_MODE_JNDI_PULL, PUBLICATION_MODE_JNDI_PUSH, PUBLICATIONPROFILE_JNDI_NAME, publicationStatus, RESOURCE_HOME_JNDI_NAME, RPDNAME_JNDI_NAME, WS_HOME_JNDI_NAME`

    - ### Fields inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext

      `deploymentDescriptor, name, securityDescriptor, WSDD_FILE_NAME, WSSD_WSDD_NAME`

    - ### Fields inherited from class org.gcube.common.core.contexts.GCUBEContext

      `logger, timers`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessagingConsumerContext` | `getContext()`
    `String` | `getJNDIName()`
    `String` | `getNamespace()`
    `org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`

    - ### Methods inherited from class org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext

      `getLocalHome, getPublicationProfile, getResourceLifeTime, getRPDName, getWSHome, makeKey, onInitialisation`

    - ### Methods inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext

      `getDeploymentDescriptor, getEPR, getFile, getName, getPersistentFile, getProperty, getSecurityDescriptor, onFailure, onReady, onStateChange, onUpdate`

    - ### Methods inherited from class org.gcube.common.core.contexts.GCUBEContext

      `debugContext, getJNDIContext, getResource, getTiming, printContext, resetTimer, setJNDIContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### singleton

          protected static final MessagingConsumerContext singleton

      Singleton object

  - ### Method Detail

    - #### getContext

          public static MessagingConsumerContext getContext()

      Returns:
        the context

    - #### getJNDIName

          public String getJNDIName()

      Specified by:
        `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`
      Returns:
        PORT TYPE NAME

    - #### getNamespace

          public String getNamespace()

      Specified by:
        `getNamespace` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`
      Returns:
        Namespace

    - #### getServiceContext

          public org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

      Specified by:
        `getServiceContext` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`
      Returns:
        Service Context

Copyright © 2014. All Rights Reserved.